<master>
<property name="doc(title)">@page_title;literal@</property>
<property name="context">#intranet-core.context#</property>
<property name="main_navbar_label">budget</property>

<h1>@page_title@</h1>

<p>
<%= [lang::message::lookup "" intranet-budget.Associate_Budget_Items_Msg "This page allows you to associate your budget items with other objects."] %>
</p>
<br>

<form action="/intranet-budget/associate-2" method=GET>
<%= [export_vars -form {bid return_url}] %>
<table>
	<tr>
	<th colspan="2"><%= [lang::message::lookup "" intranet-budget.Associate_With "Associate With"] %></th>
	<th>	<%= [lang::message::lookup "" intranet-budget.Object Object] %></th>
	<th>	<%= [lang::message::lookup "" intranet-budget.Comment Comment] %></th>
	</tr>

	<tr>
	<td>	<input type="radio" name="target_object_type" value="user"></td>
	<td>	<%= [lang::message::lookup "" intranet-budget.Object_Type_User "User"] %></td>
	<td>	<%= [im_user_select -group_id [im_accounting_group_id] user_id ""] %><br>
		<%= [lang::message::lookup "" intranet-budget.Associate_As "as"] %>&nbsp;
		<%= [im_biz_object_roles_select role_id $first_budget_item_id [im_biz_object_role_full_member]] %>
	</td>
	<td>	<%= [lang::message::lookup "" intranet-budget.Associate_Msg_User "
	    	Add a new user to the budget_items.<br>
	    	Users can be added either as 'members' or 'administrators'."] %>
	</td>
	</tr>

	<tr>
	<td>	<input type="radio" name="target_object_type" value="project"></td>
	<td>	<%= [lang::message::lookup "" intranet-budget.Object_Type_Project "Project"] %></td>
	<td>	<%= [im_project_select -exclude_subprojects_p 0 project_id] %></td>
	<td>	<%= [lang::message::lookup "" intranet-budget.Associate_Msg_Project "
		Associated your budget items with a project that will affect the items."] %>
	</td>
	</tr>

	<tr>
	<td>&nbsp;</td>
	<td><input type="submit" name="submit" value="<%= [lang::message::lookup "" intranet-budget.Associate_Assoc_Action Associate] %>"></td>
	<td>&nbsp;</td>
	</tr>

</table>
</form>