<!-- packages/intranet-budget/www/new.adp -->
<!-- @author Frank Bergmann (frank.bergmann@project-open.com) -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">

<if @enable_master_p@>
<master src="../../intranet-core/www/master">
</if>

<property name="doc(title)">@page_title;literal@</property>
<property name="context">@context_bar;literal@</property>
<property name="main_navbar_label">budget_items</property>
<property name="focus">@focus;literal@</property>
<property name="sub_navbar">@sub_navbar;literal@</property>

<if @message@ not nil>
  <div class="general-message">@message@</div>
</if>


<if @view_name@ eq "component">
   <%= [im_component_page -plugin_id $plugin_id -return_url [export_vars -base "/intranet-budget/new" {budget_item_id}]] %>
</if>
<else>
	
	<if @show_components_p@>
	
		<%= [im_component_bay top] %>
		<table width="100%">
		  <tr valign="top">
		    <td width="50%">
			<%= [im_box_header [lang::message::lookup "" intranet-budget.Conf_Item "Budget Item"]] %>
			<formtemplate id="budget_item"></formtemplate>
			<%= [im_box_footer] %>
			<%= [im_component_bay left] %>
		    </td>
		    <td width="50%">

			<if @sub_item_count@ gt 0>
			<%= [im_box_header [lang::message::lookup "" intranet-budget.Sub_Items "Sub-Items"]] %>
			<listtemplate name="sub_budget_items"></listtemplate>
			<%= [im_box_footer] %>
			</if>

			<%= [im_component_bay right] %>

		    </td>
		  </tr>
		</table>
		<%= [im_component_bay bottom] %>

	</if>
	<else>
	
		<%= [im_box_header $page_title] %>
		<formtemplate id="budget_item"></formtemplate>
		<%= [im_box_footer] %>
	
	</else>

</else>


<table width="100%">
  <tr valign="top">
  <td>
	@result;noquote@
  </td>
  </tr>
</table>
